#pragma once
#include "Neuron.h"

#define MAXBRAINS 30

class ExternalMuscle 
{
private:

public:

	int state;

	ExternalMuscle();
	~ExternalMuscle();
	virtual void ResetMuscle();
	virtual void SetMuscle(int);

};

class Critter
{
private:

public:

	int curBrain;
	int numBrains;
	Neuron *globalNeuronPTR;
	ExternalMuscle *CritterMuscle[NUM_MUSCLES];

	Neuron *brainPTR[MAXBRAINS];
	// this is just to help draw the display line between rendering the different brains
	int lastX[MAXBRAINS];
	int lastY[MAXBRAINS];

	int neuronCount;
	int chromeCount;

	Critter(Neuron *);
	~Critter();

	virtual void NextBrain();
	virtual Neuron * AddBrain(int, int, double, int, int , int , TCHAR * );
	virtual void ClearMuscles();
	virtual void FreeStorage();
};


