#pragma once
#include "population.h"
#include "ControlIT.h"
#include "time.h"

class Traveling : public Population
{
private:

public:
	int *City_X;
	int *City_Y;
	int *Distances;
	int *TotalDistance;
	int *TournDistance;

	


	Traveling(int, int, double,int);
	~Traveling();

	virtual void Init(int, int, TCHAR *);

	virtual void CalcFitness();
	virtual void Draw(HDC, int *);
	virtual void Inc_Cursor();
	virtual int Fittest();
	virtual int TournFittest();
	virtual void CalcOneFit(int, int);
	virtual void CreateControls(HWND, ControlIT *);
	virtual void FreeStorage();
	virtual void Initial_Message();
	virtual void displaypopulation();
	virtual int fitnessLookup(int);


	// Special to Traveling
	virtual void NewPaths();
	virtual void Heuristic();

};
